import request from '@/utils/request'

// 查询舆情信息量统计明細列表
export function listYqxxltj(query) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj/ListNoToken',
    method: 'get',
    params: query
  })
}

// 查询舆情信息量统计明細详细
export function getYqxxltj(id) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj/' + id,
    method: 'get'
  })
}

// 新增舆情信息量统计明細
export function addYqxxltj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj',
    method: 'post',
    data: data
  })
}

// 修改舆情信息量统计明細
export function updateYqxxltj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj',
    method: 'put',
    data: data
  })
}

// 删除舆情信息量统计明細
export function delYqxxltj(id) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj/' + id,
    method: 'delete'
  })
}
//批量启用禁用
export function isStatusYqxxltj(params) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj/isStatus',
    method: 'get',
    params
  })
}
//通用导入信息
export function importYqxxltj(data) {
  return request({
    url: '/tcZz/netWorkYq/yqxxltj/common/importExcel',
    method: 'post',
    data
  })
}